Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus
Class ServletTestSuite

    java.lang.Object
      org.apache.cactus.internal.AbstractTestSuite
          org.apache.cactus.ServletTestSuite

All Implemented Interfaces:
  junit.framework.Test

public class ServletTestSuite
extends AbstractTestSuite

`TestSuite` wrapper that wraps all the tests of the suite in Cactus `ServletTestCase` objects.

Since:
  1.5
Version:
  $Id: ServletTestSuite.java 238991 2004-05-22 11:34:50Z vmassol $

Constructor Summary
`ServletTestSuite()`
`ServletTestSuite(java.lang.Class theClass)`
`ServletTestSuite(java.lang.String theName)`

Method Summary
`void` | `addTest(junit.framework.Test theTest)`
`void` | `addTestSuite(java.lang.Class theTestClass)`
`protected junit.framework.Test` | `createCactusTestCase(java.lang.String theName, junit.framework.Test theTest)`
`protected junit.framework.Test` | `createTestSuite(java.lang.Class theTestClass)`

Methods inherited from class org.apache.cactus.internal.AbstractTestSuite
`countTestCases, getName, getTestConstructor, run, runTest, setName, testAt, testCount, tests, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServletTestSuite

    public ServletTestSuite()

See Also:
  `AbstractTestSuite.AbstractTestSuite()`

### ServletTestSuite

    public ServletTestSuite(java.lang.Class theClass)

See Also:
  `AbstractTestSuite.AbstractTestSuite(Class)`

### ServletTestSuite

    public ServletTestSuite(java.lang.String theName)

See Also:
  `AbstractTestSuite.AbstractTestSuite(String)`

Method Detail

### addTest

    public void addTest(junit.framework.Test theTest)

  Overrides:
    `addTest` in class `AbstractTestSuite`
  See Also:
    `Note: This method is overriden from {@link AbstractTestSuite} because we do not want to create a binary dependency on end user classes with {@link AbstractTestSuite}.`

### addTestSuite

    public void addTestSuite(java.lang.Class theTestClass)

  Overrides:
    `addTestSuite` in class `AbstractTestSuite`
  See Also:
    `Note: This method is overriden from {@link AbstractTestSuite} because we do not want to create a binary dependency on end user classes with {@link AbstractTestSuite}.`

### createTestSuite

    protected junit.framework.Test createTestSuite(java.lang.Class theTestClass)

  Specified by:
    `createTestSuite` in class `AbstractTestSuite`
  Parameters:
    `theTestClass` - the test class containing the tests to be included in the Cactus Test Suite
  Returns:
    a Cactus Test Suite (ex: ServletTestSuite) initialized with a test class
  See Also:
    `AbstractTestSuite.createTestSuite(Class)`

### createCactusTestCase

    protected junit.framework.Test createCactusTestCase(java.lang.String theName,
                                                        junit.framework.Test theTest)

  Specified by:
    `createCactusTestCase` in class `AbstractTestSuite`
  Parameters:
    `theName` - the name of the Cactus Test Case
    `theTest` - the wrapped test
  Returns:
    a Cactus Test Case object initialized with the give name and wrapped test
  See Also:
    `AbstractTestSuite.createCactusTestCase(String, Test)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.